For the complete documentation index, see llms.txt. This page is also available as Markdown.

ChatUserConversationSettings

Introduction

ChatUserConversationSettings store mute and archive settings for the current authenticated User and a ChatConversation.

Model Definition

Relations

Key
Relation
Type
Relation Field(s)

user

Belongs to

user_id

chatConversation

Belongs to

chat_conversation_id

Show by conversation

Show the current user's settings for a ChatConversation.

Definition

GET /api/chat/conversations/{chatConversation}/user-settings

Route Parameters

Parameter
Type
Description

chatConversation

integer | string

ChatConversation ID or hash.

Behavior

The response is null when the current user has no settings for the conversation.

Example Request

Example Response

Create or update

Create or update the current user's settings for a ChatConversation.

Definition

POST /api/chat/conversations/{chatConversation}/user-settings

Route Parameters

Parameter
Type
Description

chatConversation

integer | string

ChatConversation ID or hash.

Request Keys

Key
Type
Default
Description

settings*

object

-

User-specific conversation settings.

settings.muted_at

datetime | null

null

Date from which the conversation is muted.

settings.mute_interval

string | null

null

ISO 8601 duration after which the mute expires.

settings.archived_at

datetime | null

null

Date from which the conversation is archived.

Keys with * are required.

Behavior

Missing nested settings are stored as null.

Example Request

Example Response

Delete

Delete the current user's settings for a ChatConversation.

Definition

DELETE /api/chat/conversations/{chatConversation}/user-settings

Route Parameters

Parameter
Type
Description

chatConversation

integer | string

ChatConversation ID or hash.

Behavior

Deleting settings is idempotent. The endpoint returns a successful response with data set to null when no settings exist.

Example Request

Example Response

Last updated